#ifndef DELETEDIALOG_H
#define DELETEDIALOG_H

#include <QDialog>

namespace Ui {
class DeleteDialog;
}

class VerificationWidget;

class DeleteDialog : public QDialog {
private:
  using QDialog::setWindowTitle;

private:
  VerificationWidget *m_verificationWidget;
  Ui::DeleteDialog *m_ui;

private:
  void done(int resultCode) override;

public:
  DeleteDialog(const QString &reference, QDialog *parent = nullptr,
               Qt::WindowFlags f = Qt::WindowFlags());
  ~DeleteDialog();

private:
  void createWidgets();
  void configureText();

public:
  void setReference(const QString &reference);
  void setTopText(const QString &value);
};

#endif // DELETEDIALOG_H
